Description

As discussed in today's 35t sim/reco meeting, a new bad channel list has been generated for 35t data. See
https://indico.fnal.gov/conferenceDisplay.py?confld=13651.

It should be committed to dunetpc so we have the option to use it in reconstruction.

History

#1-01/11/2017 12:44 PM - David Adams

In dunetpc/dune/Utilities, | have modified channelstatus_dune.fcl to add the new bad channel list as FCL prolog dune35t_channel_status_dla. | have
renamed the old list from dune35t_channel_status to dune35t_channel_status_may2016.

We need to modify services_dune.fcl to point to one for these for 35t reco. Mark is reviewing the changes proposed today and will determine if we
should switch to the new list. In the meantime, | have modified it to point to the old list.

| used the command

fcldump standard_reco_dune3btsim.fcl 20

fcldump standard_reco_dune3btdata.fcl 20

to dump the reco FCL before and after these changes. The results are the same before and after the changes.
The changes are committed to dunetpc tag cf9c1eb3f0c9dc4f3d4dcfb9b8bf50fcf9630931.

#2 - 01/12/2017 11:26 AM - David Adams

Mark:

If you accept we should make the new the bad channel list our default, | propose to rename it to dune35t_channel_status_jan2017.
#3 - 01/24/2017 07:31 AM - David Adams

Mark:

| didn't hear back on this. Should | make the new list the default for future processing? Thanks.

da

#4 - 01/24/2017 05:19 PM - Tingjun Yang

Hi David,

May | take a look at this and get back to you?

Tingjun
David Adams wrote:

Mark:
| didn't hear back on this. Should | make the new list the default for future processing? Thanks.

da

#5 - 01/25/2017 01:59 PM - David Adams
https://indico.fnal.gov/conferenceDisplay.py?confId=13651

From Tingjun:
Hi David,

| ran reconstruction on a few events with your new dead channel list. It does clean up things quite nicely. | am running over more events to make a
comparison.

By the way, | saw the following in the log file:
Dune35tNoiseRemovalService:update: WARNING: No channels found.
Is this a problem? The reconstructed events seem fine.

Tingjun

#6 - 01/25/2017 02:00 PM - David Adams

| suspect the bad channel list is removing all channels from a group and this is leading to the messages in the noise removal. | will have a look.

#7 - 01/26/2017 10:51 AM - Tingjun Yang
- File dcos.gif added

- File oldchlist.png added

- File newchlist1.png added

| have attached a figure to compare the number of reconstructed tracks using the old bad channel list and the new bad channel list. It seems that with
the new bad channel list, there are slightly fewer reconstructed tracks. From scanning a few events (two screen shots attached), it does seem the new
bad channel list cleans up things nicely. So maybe the reconstruction just needs to be retuned.

| am ok with setting the new bad channel list to be default.

#8 - 02/17/2017 11:41 AM - David Adams

| received the following from Mark:

Tingjun took a look at this and thought it was fine. So, I’'m happy to make this the official list.
I wrote a wiki page describing my understanding of how the current list was generated. It’s at:
https://cdcvs. fnal.gov/redmine/projects/35ton/wiki/Bad_Channel_Lists

It would be good to update this page with info on how the new list has been generated.

Best,

Mark

I will rename the new bad channel list and make it the default in fcl.

#9 - 04/12/2018 08:28 AM - David Adams

- Status changed from Assigned to Closed

This is done and out of date.
